//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Acquisition date, source and type.
 * 
 * <p>Java class for Acquisition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Acquisition"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AcquisitionType" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Date" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *         &lt;element name="AcquiredFrom" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="FullName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255"/&gt;
 *                   &lt;element name="Organization" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Organization" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="AcquisitionSourceText" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Acquisition", propOrder = {
    "acquisitionType",
    "date",
    "acquiredFrom",
    "acquisitionSourceText"
})
public class Acquisition {

    @XmlElement(name = "AcquisitionType")
    protected StringL acquisitionType;
    @XmlElement(name = "Date")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String date;
    @XmlElement(name = "AcquiredFrom")
    protected Acquisition.AcquiredFrom acquiredFrom;
    @XmlElement(name = "AcquisitionSourceText")
    protected StringL acquisitionSourceText;

    /**
     * Gets the value of the acquisitionType property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getAcquisitionType() {
        return acquisitionType;
    }

    /**
     * Sets the value of the acquisitionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setAcquisitionType(StringL value) {
        this.acquisitionType = value;
    }

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDate(String value) {
        this.date = value;
    }

    /**
     * Gets the value of the acquiredFrom property.
     * 
     * @return
     *     possible object is
     *     {@link Acquisition.AcquiredFrom }
     *     
     */
    public Acquisition.AcquiredFrom getAcquiredFrom() {
        return acquiredFrom;
    }

    /**
     * Sets the value of the acquiredFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link Acquisition.AcquiredFrom }
     *     
     */
    public void setAcquiredFrom(Acquisition.AcquiredFrom value) {
        this.acquiredFrom = value;
    }

    /**
     * Gets the value of the acquisitionSourceText property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getAcquisitionSourceText() {
        return acquisitionSourceText;
    }

    /**
     * Sets the value of the acquisitionSourceText property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setAcquisitionSourceText(StringL value) {
        this.acquisitionSourceText = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="FullName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String255"/&gt;
     *         &lt;element name="Organization" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Organization" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "fullName",
        "organization"
    })
    public static class AcquiredFrom {

        @XmlElement(name = "FullName", required = true)
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String fullName;
        @XmlElement(name = "Organization")
        protected Organization organization;

        /**
         * Gets the value of the fullName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFullName() {
            return fullName;
        }

        /**
         * Sets the value of the fullName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFullName(String value) {
            this.fullName = value;
        }

        /**
         * Gets the value of the organization property.
         * 
         * @return
         *     possible object is
         *     {@link Organization }
         *     
         */
        public Organization getOrganization() {
            return organization;
        }

        /**
         * Sets the value of the organization property.
         * 
         * @param value
         *     allowed object is
         *     {@link Organization }
         *     
         */
        public void setOrganization(Organization value) {
            this.organization = value;
        }

    }

}
